* text=auto eol=lf

# Unity
*.anim               text eol=lf
*.asmdef             text eol=lf
*.asset              text eol=lf
*.controller         text eol=lf
*.json               text eol=lf
*.mat                text eol=lf
*.meta               text eol=lf
*.mixer              text eol=lf
*.overrideController text eol=lf
*.prefab             text eol=lf
*.preset             text eol=lf
*.renderTexture      text eol=lf
*.spriteatlas        text eol=lf
*.txt                text eol=lf
*.unity              text eol=lf
*.xml                text eol=lf

# .NET
*.cs     text eol=crlf
*.csproj text eol=crlf
*.shader text eol=crlf
*.sln    text eol=crlf

# Blender
*.blend filter=lfs diff=lfs merge=lfs -text

# Maya
*.ma text eol=lf
*.mb filter=lfs diff=lfs merge=lfs -text

# Filmbox
# *your mileage may vary, since .fbx can be either in binary or ascii
# *.fbx text eol=lf
*.fbx filter=lfs diff=lfs merge=lfs -text

# glTF
*.gltf text eol=lf
*.glb  filter=lfs diff=lfs merge=lfs -text
*.bin  filter=lfs diff=lfs merge=lfs -text

# Images
*.bmp  filter=lfs diff=lfs merge=lfs -text
*.jpeg filter=lfs diff=lfs merge=lfs -text
*.jpg  filter=lfs diff=lfs merge=lfs -text
*.pdn  filter=lfs diff=lfs merge=lfs -text
*.png  filter=lfs diff=lfs merge=lfs -text
*.psd  filter=lfs diff=lfs merge=lfs -text
*.tga  filter=lfs diff=lfs merge=lfs -text
*.tif  filter=lfs diff=lfs merge=lfs -text
*.tiff filter=lfs diff=lfs merge=lfs -text

# Videos
*.avi  filter=lfs diff=lfs merge=lfs -text
*.mkv  filter=lfs diff=lfs merge=lfs -text
*.mov  filter=lfs diff=lfs merge=lfs -text
*.mp4  filter=lfs diff=lfs merge=lfs -text
*.webm filter=lfs diff=lfs merge=lfs -text

# Sound
*.mp3  filter=lfs diff=lfs merge=lfs -text
*.ogg  filter=lfs diff=lfs merge=lfs -text
*.opus filter=lfs diff=lfs merge=lfs -text
*.wav  filter=lfs diff=lfs merge=lfs -text
